
--- Simulation function for TerraME
--  Used to obtain an instance of a model from a prototype
--  @author Gilberto Camara, 2014

--- Configuration variable for contributed TerraME libraries
--  @usage tmepath should point to the TerraME installation directory
tmepath = os.getenv("TME_PATH_1_3_0")
package.path = package.path .. ";"..tmepath.."/contrib/terrameaddons/?.lua;"

local util = require ("util")

local simulation = {}

function simulation.create (prototypeModel)
    local sym = util.clone (prototypeModel)
    return sym
end